'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});
const { red, gray } = require('chalk');
const { UiengineInputError } = require('./error');

const markSample = exports.markSample = gray;

const getText = msg => msg instanceof Array ? msg.join('\n\n') : msg;

const reportSuccess = exports.reportSuccess = msg => {
  console.log('✅ ', getText(msg));
};

const reportError = exports.reportError = (msg, err) => {
  const text = getText(msg);
  const error = err instanceof UiengineInputError ? err.message : err;

  console.error('🚨 ', red(text), '\n\n', error);
};